<?php

namespace Nwb\MultiDownloaderClient;

class ImageEditOptions
{
    /**
     * @var int
     */
    private $width;

    /**
     * @var int
     */
    private $height;

    public function width(int $width)
    {
        $this->width = $width;

        return $this;
    }

    public function getWidth(): int
    {
        return $this->width;
    }

    public function height(int $height)
    {
        $this->height = $height;

        return $this;
    }

    public function getHeight(): int
    {
        return $this->height;
    }

    public function toArray(): array
    {
        return array_filter([
            'width' => $this->width,
            'height' => $this->height
        ]);
    }
}
